namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter04.Listing04_49
{
    public class Program
    {
        public static void Main()
        {
            // ...
        }

        static bool ValidateAndMove(
            int[] playerPositions, int currentPlayer, string input)
        {
            bool valid = false;

            // Sprawdzanie danych wejściowych podanych przez użytkownika wykonującego posunięcie.
            switch (input)
            {
                case "1":
                case "2":
                case "3":
                case "4":
                case "5":
                case "6":
                case "7":
                case "8":
                case "9":
                    // Zapisanie i wykonanie posunięcia zgodnie z poleceniem użytkownika.
      
                    valid = true;
                    break;

                case "":
                case "quit":
                    valid = true;
                    break;
                default:
                    // Jeśli żadna z pozostałych instrukcji case nie została wykonana,
                    // tekst jest nieprawidłowy.
                    System.Console.WriteLine(
                      "\nBŁĄD: Wprowadź wartość z przedziału od 1 do 9. "
                      + "Wciśnij ENTER, by zamknąć program");
                    break;
            }

            return valid;
        }
    }
}